from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class WinelabSoftCheque(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/softcheques/{softChequeGuid}', handler=self.getSoftCheque),
                web.patch('/softcheques/{softChequeGuid}', handler=self.updateSoftChequeStatus)]

    async def getSoftCheque(self, request: web.Request) -> web.Response:
        self.log.info('Получение мягкого чека')
        return self._createResponse('/softcheques/<softChequeGuid>?status=READY_TO_PAYMENT')

    async def updateSoftChequeStatus(self, request: web.Request) -> web.Response:
        self.log.info('Обновление статуса мягкого чека')
        return self._createResponse('/softcheques/<softChequeGuid>')


instance = WinelabSoftCheque()
